Bug 317413 - digiKam crashed while tagging faces
Summary: digiKam crashed while tagging faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-26 23:26 UTC by Dan Lyke
Modified: 2019-12-23 06:22 UTC (History)
17 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments
New crash information added by DrKonqi (25.88 KB, text/plain)
2013-11-28 08:50 UTC, Vincent Henninot
Details
New crash information added by DrKonqi (24.24 KB, text/plain)
2013-11-28 09:02 UTC, Vincent Henninot
Details
New crash information added by DrKonqi (30.49 KB, text/plain)
2013-12-23 17:14 UTC, Christian Gottschall
Details
digiKam 4.2 - backtrace (4.63 KB, text/plain)
2014-08-24 12:04 UTC, yohann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lyke 2013-03-26 23:26:32 UTC
Application: digikam (2.8.0)
KDE Platform Version: 4.9.5
Qt Version: 4.8.3
Operating System: Linux 3.5.0-27-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
Tagging faces by looking in the People/Unknown folder, ctrl- and shift-selecting a bunch of pictures, and creating a new person name.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f793527ea00 (LWP 31860))]

Thread 30 (Thread 0x7f790f895700 (LWP 31861)):
#0  __libc_enable_asynccancel () at ../nptl/sysdeps/unix/sysv/linux/x86_64/cancellation.S:66
#1  0x00007f792e6212f8 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:85
#2  0x00007f792792ed84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f792792f1e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f791d89f4a6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5  0x00007f7927952645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f7929f0ae9a in start_thread (arg=0x7f790f895700) at pthread_create.c:308
#7  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 29 (Thread 0x7f7907df7700 (LWP 31862)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f792f40404b in wait (time=18446744073709551615, this=0x11c51b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x11c50a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005eea33 in ?? ()
#4  0x00007f792f403aec in QThreadPrivate::start (arg=0x11c4e40) at thread/qthread_unix.cpp:338
#5  0x00007f7929f0ae9a in start_thread (arg=0x7f7907df7700) at pthread_create.c:308
#6  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 28 (Thread 0x7f79075f6700 (LWP 31863)):
#0  0x00007fff8c7ff827 in clock_gettime ()
#1  0x00007f792659d15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f792f4599c4 in do_gettime (frac=0x7f79075f58a8, sec=0x7f79075f58a0) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f792f52f41d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f78f8002860) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f792f52f763 in QTimerInfoList::timerWait (this=0x7f78f8002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f792f52e2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f79075f5994) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f792f52e375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f792792e618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78f80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f79075f5b50, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f792f4ff548 in QEventLoop::exec (this=0x7f79075f5b50, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f792f400b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f792f4df9af in QInotifyFileSystemWatcherEngine::run (this=0x11c7450) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x11c7450) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f79075f6700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7f7906df5700 (LWP 31865)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f792f40404b in wait (time=18446744073709551615, this=0x129ac40) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x12e8968, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7932863a47 in ?? () from /usr/lib/libdigikamcore.so.2
#4  0x00007f792f403aec in QThreadPrivate::start (arg=0x12e8950) at thread/qthread_unix.cpp:338
#5  0x00007f7929f0ae9a in start_thread (arg=0x7f7906df5700) at pthread_create.c:308
#6  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7f78f2061700 (LWP 31866)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007f7904dd1290 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78f2061700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7f78f0e27700 (LWP 31867)):
#0  0x00007f792e626033 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f7904dfb164 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f7904ddf311 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f7929f0ae9a in start_thread (arg=0x7f78f0e27700) at pthread_create.c:308
#4  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7f78ebfff700 (LWP 31868)):
#0  0x00007fff8c7ff827 in clock_gettime ()
#1  0x00007f792659d15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f792f4599c4 in do_gettime (frac=0x7f78ebffe888, sec=0x7f78ebffe880) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f792f52f41d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f78e4002260) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f792f52f763 in QTimerInfoList::timerWait (this=0x7f78e4002260, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f792f52e2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f78ebffe974) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f792f52e375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f792792e618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78e40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78ebffeb30, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78ebffeb30, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f792f400b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f790503039e in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x1a2c590) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f78ebfff700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f78eb7fe700 (LWP 31869)):
#0  0x00007f792e621313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f792de16b6f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f792de080b5 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f792de08719 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f792de087d0 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f792de16b1f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f79257a8543 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-2.1.so
#7  0x00007f7929f0ae9a in start_thread (arg=0x7f78eb7fe700) at pthread_create.c:308
#8  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7f78dfffe700 (LWP 31870)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7904de3743 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78dfffe700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f78cec3b700 (LWP 31944)):
#0  0x00007fff8c7ff827 in clock_gettime ()
#1  0x00007f792659d15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f792f4599c4 in do_gettime (frac=0x7f78cec3a898, sec=0x7f78cec3a890) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f792f52f41d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f78b81c98a0) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f792f52f763 in QTimerInfoList::timerWait (this=0x7f78b81c98a0, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f792f52e2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f78cec3a984) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f792f52e375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f792792e618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78b8013b80, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78cec3ab40, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78cec3ab40, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#15 0x00007f792f3f745d in QThreadPoolThread::run (this=0x342fa00) at concurrent/qthreadpool.cpp:107
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x342fa00) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f78cec3b700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f78ccf6d700 (LWP 31965)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78ccf6d700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f78cf43c700 (LWP 32069)):
#0  0x00007fff8c7ff827 in clock_gettime ()
#1  0x00007f792659d15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f792f4599c4 in do_gettime (frac=0x7f78cf43b898, sec=0x7f78cf43b890) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f792f52f41d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f78a814a7e0) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f792f52f763 in QTimerInfoList::timerWait (this=0x7f78a814a7e0, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f792f52e2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f78cf43b984) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f792f52e375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f792792e618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78a8002df0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78cf43bb40, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78cf43bb40, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#15 0x00007f792f3f745d in QThreadPoolThread::run (this=0x4fe8f40) at concurrent/qthreadpool.cpp:107
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x4fe8f40) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f78cf43c700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f78c6f33700 (LWP 32073)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78c6f33700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f78df6b7700 (LWP 32115)):
#0  0x00007fff8c7ff827 in clock_gettime ()
#1  0x00007f792659d15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f792f4599c4 in do_gettime (frac=0x7f78df6b6898, sec=0x7f78df6b6890) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f792f52f41d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f78c8066d50) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f792f52f763 in QTimerInfoList::timerWait (this=0x7f78c8066d50, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f792f52e2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f78df6b6984) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f792f52e375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f792792e618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78c81537f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78df6b6b40, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78df6b6b40, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#15 0x00007f792f3f745d in QThreadPoolThread::run (this=0x33a8a80) at concurrent/qthreadpool.cpp:107
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x33a8a80) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f78df6b7700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f78c6732700 (LWP 32116)):
#0  0x00007f792796be51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f792792e769 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f792792ecf9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x2881740, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78c6731b40, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78c6731b40, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#8  0x00007f792f3f745d in QThreadPoolThread::run (this=0x53cbf10) at concurrent/qthreadpool.cpp:107
#9  0x00007f792f403aec in QThreadPrivate::start (arg=0x53cbf10) at thread/qthread_unix.cpp:338
#10 0x00007f7929f0ae9a in start_thread (arg=0x7f78c6732700) at pthread_create.c:308
#11 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f78c5f31700 (LWP 32121)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78c5f31700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f78cfc3d700 (LWP 32122)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78cfc3d700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f78aed33700 (LWP 32137)):
#0  0x00007f792e61f8cd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f792796b15f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f792792e914 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f792792ed22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78d0049b60, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78aed32b40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78aed32b40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#9  0x00007f792f3f745d in QThreadPoolThread::run (this=0x341fc60) at concurrent/qthreadpool.cpp:107
#10 0x00007f792f403aec in QThreadPrivate::start (arg=0x341fc60) at thread/qthread_unix.cpp:338
#11 0x00007f7929f0ae9a in start_thread (arg=0x7f78aed33700) at pthread_create.c:308
#12 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f78ae532700 (LWP 32145)):
#0  0x00007f792792ed47 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78bc001ff0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#3  0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78ae531b40, flags=...) at kernel/qeventloop.cpp:149
#4  0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78ae531b40, flags=...) at kernel/qeventloop.cpp:204
#5  0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#6  0x00007f792f3f745d in QThreadPoolThread::run (this=0x3217b50) at concurrent/qthreadpool.cpp:107
#7  0x00007f792f403aec in QThreadPrivate::start (arg=0x3217b50) at thread/qthread_unix.cpp:338
#8  0x00007f7929f0ae9a in start_thread (arg=0x7f78ae532700) at pthread_create.c:308
#9  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f78add31700 (LWP 32146)):
#0  0x00007f792e63a900 in pthread_mutex_unlock (mutex=0x7f78d00bb7c0) at forward.c:184
#1  0x00007f792796be51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f792792e884 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f792792ed22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78d006fe10, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f78add30b40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f792f4ff548 in QEventLoop::exec (this=0x7f78add30b40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#9  0x00007f792f3f745d in QThreadPoolThread::run (this=0x60bfa30) at concurrent/qthreadpool.cpp:107
#10 0x00007f792f403aec in QThreadPrivate::start (arg=0x60bfa30) at thread/qthread_unix.cpp:338
#11 0x00007f7929f0ae9a in start_thread (arg=0x7f78add31700) at pthread_create.c:308
#12 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f78ad530700 (LWP 32148)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f7924c31293 in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f7924c312c9 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f7929f0ae9a in start_thread (arg=0x7f78ad530700) at pthread_create.c:308
#4  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f7898ec8700 (LWP 32150)):
#0  0x00007f792796bbbc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f792796be19 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f792792e623 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78bc032350, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f7898ec7b40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f792f4ff548 in QEventLoop::exec (this=0x7f7898ec7b40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#9  0x00007f792f3f745d in QThreadPoolThread::run (this=0x53bd550) at concurrent/qthreadpool.cpp:107
#10 0x00007f792f403aec in QThreadPrivate::start (arg=0x53bd550) at thread/qthread_unix.cpp:338
#11 0x00007f7929f0ae9a in start_thread (arg=0x7f7898ec8700) at pthread_create.c:308
#12 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f789c490700 (LWP 32164)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f789c490700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f78a77ef700 (LWP 32167)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78a77ef700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f78a4227700 (LWP 32168)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78a4227700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f78a3a26700 (LWP 32188)):
#0  0x00007f7932815cf5 in ?? () from /usr/lib/libdigikamcore.so.2
#1  0x00007f7932814b69 in ?? () from /usr/lib/libdigikamcore.so.2
#2  0x00007f793280d57e in Digikam::DatabaseCoreBackendPrivate::setDatabaseErrorForThread(QSqlError) () from /usr/lib/libdigikamcore.so.2
#3  0x00007f7932812928 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () from /usr/lib/libdigikamcore.so.2
#4  0x00007f7932812cb2 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/libdigikamcore.so.2
#5  0x00007f7932811633 in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#6  0x00007f793281125d in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#7  0x00007f7932810d5b in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/libdigikamcore.so.2
#8  0x00007f793281ce47 in Digikam::ThumbnailDB::insertThumbnail(Digikam::DatabaseThumbnailInfo const&, QVariant*) () from /usr/lib/libdigikamcore.so.2
#9  0x00007f7932840a31 in Digikam::ThumbnailCreator::storeInDatabase(Digikam::ThumbnailInfo const&, Digikam::ThumbnailImage const&) const () from /usr/lib/libdigikamcore.so.2
#10 0x00007f793283de76 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#11 0x00007f793283d8b8 in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib/libdigikamcore.so.2
#12 0x00007f793284c435 in ?? () from /usr/lib/libdigikamcore.so.2
#13 0x00007f79328276d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#14 0x00007f7932865c78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#15 0x00007f792f3f745d in QThreadPoolThread::run (this=0x51c3b60) at concurrent/qthreadpool.cpp:107
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x51c3b60) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f78a3a26700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7876d54700 (LWP 32189)):
#0  0x00007fff8c7ff827 in clock_gettime ()
#1  0x00007f792659d15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f792f4599c4 in do_gettime (frac=0x7f7876d53898, sec=0x7f7876d53890) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f792f52f41d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f78bc076b90) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f792f52f763 in QTimerInfoList::timerWait (this=0x7f78bc076b90, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f792f52e2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f7876d53984) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f792f52e375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f792792e618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f792792ecab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f792f52ec16 in QEventDispatcherGlib::processEvents (this=0x7f78bc063760, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7f7876d53b40, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f792f4ff548 in QEventLoop::exec (this=0x7f7876d53b40, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f7932862fd3 in ?? () from /usr/lib/libdigikamcore.so.2
#15 0x00007f792f3f745d in QThreadPoolThread::run (this=0x6565aa0) at concurrent/qthreadpool.cpp:107
#16 0x00007f792f403aec in QThreadPrivate::start (arg=0x6565aa0) at thread/qthread_unix.cpp:338
#17 0x00007f7929f0ae9a in start_thread (arg=0x7f7876d54700) at pthread_create.c:308
#18 0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f78a3225700 (LWP 32214)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f78a3225700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f789bc8f700 (LWP 32227)):
#0  0x00007f792a896fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f792a89582e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f7929f0ae9a in start_thread (arg=0x7f789bc8f700) at pthread_create.c:308
#3  0x00007f792e62cccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f793527ea00 (LWP 31860)):
[KCrash Handler]
#5  0x00007f792e56f425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007f792e572b8b in __GI_abort () at abort.c:91
#7  0x00007f792e5ad39e in __libc_message (do_abort=2, fmt=0x7f792e6b7028 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:201
#8  0x00007f792e5b7b96 in malloc_printerr (action=3, str=0x7f792e6b7218 "double free or corruption (fasttop)", ptr=<optimized out>) at malloc.c:5018
#9  0x00007f793214473b in ?? () from /usr/lib/libdigikamdatabase.so.2
#10 0x00007f79321be88a in ?? () from /usr/lib/libdigikamdatabase.so.2
#11 0x00007f79321bb7c8 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib/libdigikamdatabase.so.2
#12 0x00007f79321bac92 in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib/libdigikamdatabase.so.2
#13 0x0000000000581601 in ?? ()
#14 0x00000000005807db in ?? ()
#15 0x00007f792f515f5f in QMetaObject::activate (sender=0x53c2f30, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff8c769b10) at kernel/qobject.cpp:3547
#16 0x00007f792f97cf22 in KJob::result(KJob*) () from /usr/lib/libkdecore.so.5
#17 0x00007f792f97cf60 in KJob::emitResult() () from /usr/lib/libkdecore.so.5
#18 0x00007f7931332845 in KIO::SimpleJob::slotFinished() () from /usr/lib/libkio.so.5
#19 0x00007f7931339d02 in KIO::TransferJob::slotFinished() () from /usr/lib/libkio.so.5
#20 0x00007f792f515f5f in QMetaObject::activate (sender=0x1cdb590, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#21 0x00007f79313d5561 in KIO::SlaveInterface::dispatch(int, QByteArray const&) () from /usr/lib/libkio.so.5
#22 0x00007f79313d263a in KIO::SlaveInterface::dispatch() () from /usr/lib/libkio.so.5
#23 0x00007f79313c6a9e in KIO::Slave::gotInput() () from /usr/lib/libkio.so.5
#24 0x00007f792f515f5f in QMetaObject::activate (sender=0x2200ee0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#25 0x00007f7931307732 in ?? () from /usr/lib/libkio.so.5
#26 0x00007f792f51543e in QObject::event (this=0x2200ee0, e=<optimized out>) at kernel/qobject.cpp:1195
#27 0x00007f792fee1e9c in QApplicationPrivate::notify_helper (this=this@entry=0xf4a9b0, receiver=receiver@entry=0x2200ee0, e=e@entry=0x65a9d60) at kernel/qapplication.cpp:4562
#28 0x00007f792fee630a in QApplication::notify (this=0x7fff8c76b120, receiver=0x2200ee0, e=0x65a9d60) at kernel/qapplication.cpp:4423
#29 0x00007f7930bea1f6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#30 0x00007f792f50056e in QCoreApplication::notifyInternal (this=0x7fff8c76b120, receiver=receiver@entry=0x2200ee0, event=event@entry=0x65a9d60) at kernel/qcoreapplication.cpp:915
#31 0x00007f792f5043f1 in sendEvent (event=0x65a9d60, receiver=0x2200ee0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xee1300) at kernel/qcoreapplication.cpp:1539
#33 0x00007f792f52ea63 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#34 postEventSourceDispatch (s=0xf4b400) at kernel/qeventdispatcher_glib.cpp:279
#35 0x00007f792792eab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007f792792ede8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007f792792eea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007f792f52ebf6 in QEventDispatcherGlib::processEvents (this=0xee2be0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#39 0x00007f792ff86c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#40 0x00007f792f4ff2bf in QEventLoop::processEvents (this=this@entry=0x7fff8c76ab60, flags=...) at kernel/qeventloop.cpp:149
#41 0x00007f792f4ff548 in QEventLoop::exec (this=0x7fff8c76ab60, flags=...) at kernel/qeventloop.cpp:204
#42 0x00007f792f504708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#43 0x00000000006cbd33 in ?? ()
#44 0x00007f792e55a76d in __libc_start_main (main=0x6ca97c, argc=1, ubp_av=0x7fff8c76b308, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff8c76b2f8) at libc-start.c:226
#45 0x0000000000491a69 in _start ()

Possible duplicates by query: bug 317342, bug 314055, bug 313389, bug 311589, bug 309216.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-03-28 09:10:23 UTC
*** Bug 317450 has been marked as a duplicate of this bug. ***
Comment 2 caulier.gilles 2013-04-05 09:20:25 UTC
*** Bug 317863 has been marked as a duplicate of this bug. ***
Comment 3 caulier.gilles 2013-05-26 09:34:17 UTC
*** Bug 320292 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2013-06-07 13:37:50 UTC
*** Bug 320861 has been marked as a duplicate of this bug. ***
Comment 5 Jekyll Wu 2013-10-29 02:09:20 UTC
*** Bug 326570 has been marked as a duplicate of this bug. ***
Comment 6 Jekyll Wu 2013-10-29 02:21:17 UTC
*** Bug 326794 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2013-10-29 17:04:19 UTC
*** Bug 326750 has been marked as a duplicate of this bug. ***
Comment 8 caulier.gilles 2013-10-29 17:05:48 UTC
*** Bug 326323 has been marked as a duplicate of this bug. ***
Comment 9 caulier.gilles 2013-11-16 22:30:32 UTC
*** Bug 327699 has been marked as a duplicate of this bug. ***
Comment 10 Vincent Henninot 2013-11-28 08:50:43 UTC
Created attachment 83805 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.11.2 using Qt 4.8.4

- What I was doing when the application crashed: I was just tagging face with Digikam, nothing in the background

- Custom settings of the application:

-- Backtrace (Reduced):
#7  QVariant::~QVariant (this=0x990072, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#8  0xb66798e9 in node_destruct (this=<optimized out>, n=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#9  erase (alast=..., afirst=..., this=0x9cc33e4) at /usr/include/qt4/QtCore/qlist.h:811
#10 Digikam::ImageModel::removeRowPairs (this=this@entry=0x9cc3358, toRemove=...) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#11 0xb667ace8 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0x9cc3358) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
Comment 11 Vincent Henninot 2013-11-28 09:02:40 UTC
Created attachment 83807 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.11.2 using Qt 4.8.4

- What I was doing when the application crashed:justt face tagging with digikam no application open in the background

- Custom settings of the application:

-- Backtrace (Reduced):
#7  QVariant::~QVariant (this=0x990072, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#8  0xb65c98e9 in node_destruct (this=<optimized out>, n=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#9  erase (alast=..., afirst=..., this=0xa67177c) at /usr/include/qt4/QtCore/qlist.h:811
#10 Digikam::ImageModel::removeRowPairs (this=this@entry=0xa670668, toRemove=...) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#11 0xb65cace8 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0xa670668) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
Comment 12 Christian Gottschall 2013-12-23 17:14:49 UTC
Created attachment 84248 [details]
New crash information added by DrKonqi

digikam (3.5.0) on KDE Platform 4.11.3 using Qt 4.8.5

Selecting a picture with a wrongly recognized face, clicking on the wrong tag, and entering the proper name,

Some ten or twenty seconds later, Digikam will inevitably crash. Up to then, it consumes all available virtual memory of the OS.

-- Backtrace (Reduced):
#11 0x00007fc5e174d2d2 in QThreadPoolThread::run (this=0x567d4b0) at concurrent/qthreadpool.cpp:114
#12 0x00007fc5e175968f in QThreadPrivate::start (arg=0x567d4b0) at thread/qthread_unix.cpp:338
[...]
Comment 13 Michal Sylwester 2013-12-25 11:18:51 UTC
I'm having some similar crashes when working face tags, and I'm also seeing same behavior as Christian. After tagging a face digikam starts eating up available memory until it's killed by kernel. I wasn't able to gather any logs while it was happening though.

I suspected that this may be related to asking digikam to write the face information to image metadata (I have more problems when marking several faces at once), but setting this to off made no difference, at least for the memory consumption issue.

Digikam 3.5 on current ubuntu saucy, everything from current packages except for digikam.
Comment 14 Jekyll Wu 2014-01-04 13:24:04 UTC
*** Bug 329596 has been marked as a duplicate of this bug. ***
Comment 15 Michal Sylwester 2014-01-10 07:37:25 UTC
I tried to find out more (this problem makes face tagging unusable for me...), and I'm just more confused now. But perhaps someone can make something out of this...

I tried to use a combination of kDebug() and attaching gdb to the "hungry" digikam process to try to figure where exactly it's getting stuck. I've got a backtrace that is rather different from any posted here in the bug reports. Unfortunately I wasn't able to get DrKonqui generate another report for me this time.

Backtrace from the stuck thread:
#0  0x00007f200194a322 in ___printf_fp (fp=fp@entry=0x7f1f9dff8d30, info=info@entry=0x7f1f9dff7dd0, args=args@entry=0x7f1f9dff8840) at printf_fp.c:1220
#1  0x00007f200194669c in _IO_vfprintf_internal (s=s@entry=0x7f1f9dff8d30, format=<optimized out>, format@entry=0x7f1fff43c51d "%.8e", ap=ap@entry=0x7f1f9dff8e58) at vfprintf.c:2034
#2  0x00007f2001a0a544 in ___vsprintf_chk (s=0x7f1f9dff93f0 "0.", flags=1, slen=256, format=0x7f1fff43c51d "%.8e", args=args@entry=0x7f1f9dff8e58) at vsprintf_chk.c:84
#3  0x00007f2001a0a48d in ___sprintf_chk (s=<optimized out>, flags=<optimized out>, slen=<optimized out>, format=<optimized out>) at sprintf_chk.c:32
#4  0x00007f1fff3f0fec in cvWriteRawData () from /usr/lib/libopencv_core.so.2.4
#5  0x00007f1fff3f1b91 in ?? () from /usr/lib/libopencv_core.so.2.4
#6  0x00007f1fff3e5576 in cvWrite () from /usr/lib/libopencv_core.so.2.4
#7  0x00007f1fff3e5dc4 in cv::write(cv::FileStorage&, std::string const&, cv::Mat const&) () from /usr/lib/libopencv_core.so.2.4
#8  0x00007f200649a8e2 in ?? () from /usr/lib/libkface.so.2
#9  0x00007f20064cdedc in ?? () from /usr/lib/libkface.so.2
#10 0x00007f200649cefe in ?? () from /usr/lib/libkface.so.2
#11 0x00007f20064b6633 in KFaceIface::RecognitionDatabase::Private::train(KFaceIface::OpenCVLBPHFaceRecognizer*, QList<KFaceIface::Identity> const&, KFaceIface::TrainingDataProvider*, QString const&) ()
   from /usr/lib/libkface.so.2
#12 0x00007f20064b6a75 in KFaceIface::RecognitionDatabase::train(QList<KFaceIface::Identity> const&, KFaceIface::TrainingDataProvider*, QString const&) () from /usr/lib/libkface.so.2
#13 0x00000000006d348e in Digikam::Trainer::process (this=0x34c79d0, package=...) at /build/buildd/digikam-3.5.0/core/utilities/facemanagement/facepipeline.cpp:974
#14 0x00000000006d3911 in Digikam::Trainer::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>)
    at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/facepipeline_p.moc:580
#15 0x00007f20028eddce in QObject::event (this=0x34c79d0, e=<optimized out>) at kernel/qobject.cpp:1194
#16 0x00007f20032c6dfc in QApplicationPrivate::notify_helper (this=this@entry=0x2c97020, receiver=receiver@entry=0x34c79d0, e=e@entry=0x7f1fc40035d0) at kernel/qapplication.cpp:4567
#17 0x00007f20032cd470 in QApplication::notify (this=this@entry=0x7fff46330be0, receiver=receiver@entry=0x34c79d0, e=e@entry=0x7f1fc40035d0) at kernel/qapplication.cpp:4353
#18 0x00007f2003fd0c6a in KApplication::notify (this=0x7fff46330be0, receiver=0x34c79d0, event=0x7f1fc40035d0) at ../../kdeui/kernel/kapplication.cpp:311
#19 0x00007f20028d58bd in QCoreApplication::notifyInternal (this=0x7fff46330be0, receiver=receiver@entry=0x34c79d0, event=event@entry=0x7f1fc40035d0) at kernel/qcoreapplication.cpp:946
#20 0x00007f20028d8e1f in sendEvent (event=0x7f1fc40035d0, receiver=0x34c79d0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x4e8b1c0) at kernel/qcoreapplication.cpp:1570
#22 0x00007f20028d92c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#23 0x00007f2002903073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#24 postEventSourceDispatch (s=0x7f1fd4007e60) at kernel/qeventdispatcher_glib.cpp:279
#25 0x00007f1ffa3133b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007f1ffa313708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f1ffa3137ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f2002902a76 in QEventDispatcherGlib::processEvents (this=0x7f1fd4043290, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#29 0x00007f20028d45ef in QEventLoop::processEvents (this=this@entry=0x7f1f9dffaa40, flags=...) at kernel/qeventloop.cpp:149
#30 0x00007f20028d48e5 in QEventLoop::exec (this=this@entry=0x7f1f9dffaa40, flags=...) at kernel/qeventloop.cpp:204
#31 0x00007f200564f073 in Digikam::WorkerObjectRunnable::run (this=0x12b730c0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#32 0x00007f20027c97ae in QThreadPoolThread::run (this=0x4e8b020) at concurrent/qthreadpool.cpp:107
#33 0x00007f20027d5f2f in QThreadPrivate::start (arg=0x4e8b020) at thread/qthread_unix.cpp:338
#34 0x00007f1ffcd40f6e in start_thread (arg=0x7f1f9dffb700) at pthread_create.c:311
#35 0x00007f20019f49cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Some more playing around indicated that most likely cvWriteRawData (#4) never exits. This could indicate wrong usage or bug in opencv. 

If someone would like to reproduce this, here is what I did:
1. Disable swap: swapoff -a  (this gives less time to start gdb before digikam is killed by kernel, but system won't get unresponsive, may be good to wait a little afterwards for system to stabilize)
2. Start Digikam
3. Tag some face from "Unknowns"
4. Use htop to figure out the cpu eating digikam pids (I had 2) 
5. Attach gdb to one of them: gdb --pid=12345 (had to run this as root)
6. Show backtrace: bt
7. Bonus: try to find on which function digikam is stuck: next many times until it won't get back to prompt anymore

That's all I know, hope this helps someone...
Comment 16 caulier.gilles 2014-01-10 07:44:13 UTC
Current implementation from git/master (next 4.0.0-beta2) has many fixes and improvements from Marcel about face-management.

Gilles Caulier
Comment 17 Michal Sylwester 2014-01-11 04:42:03 UTC
Thanks for the tip, I tried the git version, and it's better, but...
Until tagging first face CPU usage is minimal, memory usage is about 300M with my collection.
After tagging first face:
- one thread starts working (I guess updating the recognition DB with data from newly tagged face), which seems IO bound
- Memory usage grows very quickly to about 6G
- Just closing digikam window does not stop several threads (including the worker mentioned above) from finishing

Tagging more faces does not change anything.
This is still too resource hungry for me, but better than before.

It seems this time code loops in (or at least I haven't seen it leave) KFaceIface::TrainingDB::updateLBPHFaceModel method: 
#0  KFaceIface::TrainingDB::updateLBPHFaceModel (this=0x3350850, model=...) at /home/msylw/devel/digikam/dk/extra/libkface/libkface/database/trainingdb.cpp:232
#1  0x00007f6b87f65213 in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0x7f6b24060910, images=..., labels=..., context=...)
    at /home/msylw/devel/digikam/dk/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:173
#2  0x00007f6b87f83b89 in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0x7f6b24060910, identitiesToBeTrained=..., data=0x7f6b2aff43b0, trainingContext=..., d=0x33501e0)
    at /home/msylw/devel/digikam/dk/extra/libkface/libkface/recognitiondatabase.cpp:704
#3  0x00007f6b87f830d5 in KFaceIface::RecognitionDatabase::Private::train (this=0x33501e0, r=0x7f6b24060910, identitiesToBeTrained=..., data=0x7f6b2aff43b0, trainingContext=...)
    at /home/msylw/devel/digikam/dk/extra/libkface/libkface/recognitiondatabase.cpp:727
#4  0x00007f6b87f83189 in KFaceIface::RecognitionDatabase::train (this=0x334f4e8, identitiesToBeTrained=..., data=0x7f6b2aff43b0, trainingContext=...)
    at /home/msylw/devel/digikam/dk/extra/libkface/libkface/recognitiondatabase.cpp:738
#5  0x000000000071d42d in Digikam::Trainer::process (this=0x334f4d0, package=...) at /home/msylw/devel/digikam/dk/core/utilities/facemanagement/facepipeline.cpp:1030
#6  0x000000000071652b in Digikam::Trainer::qt_static_metacall (_o=0x334f4d0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7f6b04100860) at /home/msylw/devel/digikam/dk/build/core/digikam/facepipeline_p.moc:580
#7  0x00007f6b839c0dce in QObject::event (this=0x334f4d0, e=<optimized out>) at kernel/qobject.cpp:1194
#8  0x00007f6b870d1a9f in Digikam::WorkerObject::event (this=0x334f4d0, e=0x7f6b04110b70) at /home/msylw/devel/digikam/dk/core/libs/threads/workerobject.cpp:160
#9  0x00007f6b84399dfc in QApplicationPrivate::notify_helper (this=this@entry=0x2b21190, receiver=receiver@entry=0x334f4d0, e=e@entry=0x7f6b04110b70) at kernel/qapplication.cpp:4567
#10 0x00007f6b843a0470 in QApplication::notify (this=this@entry=0x7fffbf01f350, receiver=receiver@entry=0x334f4d0, e=e@entry=0x7f6b04110b70) at kernel/qapplication.cpp:4353
#11 0x00007f6b850a3c6a in KApplication::notify (this=0x7fffbf01f350, receiver=0x334f4d0, event=0x7f6b04110b70) at ../../kdeui/kernel/kapplication.cpp:311
#12 0x00007f6b839a88bd in QCoreApplication::notifyInternal (this=0x7fffbf01f350, receiver=receiver@entry=0x334f4d0, event=event@entry=0x7f6b04110b70) at kernel/qcoreapplication.cpp:946
#13 0x00007f6b839abe1f in sendEvent (event=0x7f6b04110b70, receiver=0x334f4d0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231

Looks different from before, so something seems to be indeed fixed :)
Comment 18 Marcel Wiesweg 2014-01-11 12:16:52 UTC
Did you try a fresh start by deleting ~/.kde4/share/apps/libkface/database/recognition.db ?
Afterwards, you can retrain all already tagges faces from the face scan dialog
Comment 19 Christian Gottschall 2014-01-11 16:22:05 UTC
(In reply to comment #18)
> Did you try a fresh start by deleting
> ~/.kde4/share/apps/libkface/database/recognition.db ?
> Afterwards, you can retrain all already tagges faces from the face scan
> dialog

At least for me, and for the time being, this helped!

Since deleting the file, I was able to manually tag faces on a few dozens of pictures *without* digikam crashing (or increasing its memory footprint).

I did not dare, though, to run more sophisticated operations like starting the automatic search for (new) faces...
Comment 20 caulier.gilles 2014-01-11 16:40:56 UTC
Hi Christian,

Can you test more to check if this file can be closed ?

Thanks in advance

Gilles Caulier
Comment 21 Michal Sylwester 2014-01-12 06:25:54 UTC
I tried removing the file, and it helped, the memory spike is gone. Also I think before the tags were not properly stored in some cases (I didn't mentioned this as I haven't the pattern figured out yet), this also seems to work now. Anyway I can tag faces again :)

I'm trying to see how retraining works out. So far I have seen two other problems with the scanning faces dialog (I'm not sure they should be under this bug):
- "Clean and rebuild all training data" kept crashing for me
- Once clicked I couldn't un-click it in the dialog

I started a face scan without the "clean & rebuild", will see how it works out.
Comment 22 Christian Gottschall 2014-01-13 00:30:11 UTC
Bad news: unfortunately, the crash (and the memory hog) is back after only a few days' time.

What I did was tagging a lot (a few hundred, I would estimate) faces manually (i.e., a few hundred instances of some ten or twenty different persons' faces). During this process, there were no anomalies.

At some stage I did the "Extras / Wartung / Gesichter finden" (search for new faces). This scan made digikam crash after a few hours of scanning. During the scan, it was fairly unresponsive, but usable - everything seemed to work, albeit very slowly.

After the creash, and after restarting digikam, everything was (or seemed) back to normal: digikam had found several new faces; manual tagging and so on seemed to continue to work flawlessly for some time (and for, say, at least hundred more manually tagged faces).

Today, the memory-related crashes returned: After (manually) tagging a face, the memory footprint of digikam slowly starts to grow. For the time being, the rate of growth seems a bit slower than last time - I was able to continue using digikam for some five minutes until the final crash happened.

Best regards,
   Christian

(In reply to comment #20)
> Hi Christian,
> 
> Can you test more to check if this file can be closed ?
> 
> Thanks in advance
> 
> Gilles Caulier
Comment 23 Christian Gottschall 2014-01-16 23:32:15 UTC
More bad news: This time, after deleting the recognition.db, I did not use automatic face detection at all. I only tagged faces manually in a number of pictures. First it seemed that everything was fine, but right now - with recognition.db having reached a (moderate) size of 67M, digikam started crashing again.

So it seems that deleting the recognition.db is only a temporary remedy, and that the problem is not (only) caused by invoking the automatic face recognition...
Comment 24 Michal Sylwester 2014-01-18 08:12:46 UTC
Small update after an updated build from today.
I haven't seen the memory hog problem coming back, but I haven't used digikam much this week. Still, I had to be careful to not start the old (packaged) version instead of my new build... 

The 2 smaller problems I mentioned ("click and rebuild" crash and dialog issue) are also gone.

I still have quite a mess with the tags on my pictures, which I believe confuses the recognition and results in heaps of mistakes. But no crashes this week for me. 

I'll try to update again in a while.
Comment 25 Marcel Wiesweg 2014-01-18 11:33:54 UTC
Christian: Have you got a backtrace from your new crashes?
Comment 26 Michal Sylwester 2014-01-20 03:08:55 UTC
It's not a crash, but may be close enough...
I'm running full maintenance (rescan all pictures, detect faces and so on), and I've noticed strange memory behavior, with usage spiking sometimes to around 4G. For not memory packed systems this could lead to crash. 

For me memory usage stays at some level for some time, then changes rapidly to some other level, and stays there again. The times and amounts vary, sometimes it fluctuates around some amount, sometimes stays stuck for few minutes without any change. The usage ranges for me from 1.3G up to 3.7G (when I was taking notes...), and changes rapidly: can grow for some time by 100M/sec, than drop 500M, then grow again. Most of the time it is in around 2G for me.

I'm not sure how to collect any logs for this if there are any ideas, let me know.

I tried to grab backtrace from one of the worker threads, but I'm not sure whether it will help
#0  0x00007f67c9a9ac1e in ?? () from /usr/lib/libopencv_objdetect.so.2.4
#1  0x00007f67c9a9b633 in cvRunHaarClassifierCascade () from /usr/lib/libopencv_objdetect.so.2.4
#2  0x00007f67c9a9b7a3 in cv::HaarDetectObjects_ScaleCascade_Invoker::operator()(cv::Range const&) const () from /usr/lib/libopencv_objdetect.so.2.4
#3  0x00007f67cfc3b110 in ?? () from /usr/lib/libopencv_core.so.2.4
#4  0x00007f67c6f06aea in ?? () from /usr/lib/libtbb.so.2
#5  0x00007f67c6f04f40 in ?? () from /usr/lib/libtbb.so.2
#6  0x00007f67cfc3b351 in cv::parallel_for_(cv::Range const&, cv::ParallelLoopBody const&, double) () from /usr/lib/libopencv_core.so.2.4
#7  0x00007f67c9a9d72b in cvHaarDetectObjectsForROC(void const*, CvHaarClassifierCascade*, CvMemStorage*, std::vector<int, std::allocator<int> >&, std::vector<double, std::allocator<double> >&, double, int, int, CvSize, CvSize, bool) () from /usr/lib/libopencv_objdetect.so.2.4
#8  0x00007f67c9ac51a3 in cv::CascadeClassifier::detectMultiScale(cv::Mat const&, std::vector<cv::Rect_<int>, std::allocator<cv::Rect_<int> > >&, std::vector<int, std::allocator<int> >&, std::vector<double, std::allocator<double> >&, double, int, int, cv::Size_<int>, cv::Size_<int>, bool) () from /usr/lib/libopencv_objdetect.so.2.4
#9  0x00007f67c9ab513b in cv::CascadeClassifier::detectMultiScale(cv::Mat const&, std::vector<cv::Rect_<int>, std::allocator<cv::Rect_<int> > >&, double, int, int, cv::Size_<int>, cv::Size_<int>) () from /usr/lib/libopencv_objdetect.so.2.4
#10 0x00007f67d14eed20 in KFaceIface::OpenCVFaceDetector::cascadeResult (this=0x7f673acd4b10, inputImage=..., cascade=..., params=...)
    at /home/msylw/devel/digikam/dk/extra/libkface/libkface/detection/opencvfacedetector.cpp:440
#11 0x00007f67d14f058c in KFaceIface::OpenCVFaceDetector::detectFaces (this=0x7f673acd4b10, inputImage=..., originalSize=...)
    at /home/msylw/devel/digikam/dk/extra/libkface/libkface/detection/opencvfacedetector.cpp:720
#12 0x00007f67d14ea281 in KFaceIface::FaceDetector::detectFaces (this=0x7315988, image=..., originalSize=...) at /home/msylw/devel/digikam/dk/extra/libkface/libkface/facedetector.cpp:154
#13 0x00000000007195d5 in Digikam::DetectionWorker::process (this=0x7315970, package=...) at /home/msylw/devel/digikam/dk/core/utilities/facemanagement/facepipeline.cpp:483
#14 0x0000000000716346 in Digikam::DetectionWorker::qt_static_metacall (_o=0x7315970, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x1214e580)
    at /home/msylw/devel/digikam/dk/build/core/digikam/facepipeline_p.moc:318
#15 0x00007f67ccf54dce in QObject::event (this=0x7315970, e=<optimized out>) at kernel/qobject.cpp:1194
#16 0x00007f67d0665c11 in Digikam::WorkerObject::event (this=0x7315970, e=0x96c6670) at /home/msylw/devel/digikam/dk/core/libs/threads/workerobject.cpp:160
Comment 27 Christian Gottschall 2014-01-20 23:10:33 UTC
(In reply to comment #25)
> Christian: Have you got a backtrace from your new crashes?

Here is my most recent dump:

Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd5cbe1f900 (LWP 15181))]

Thread 30 (Thread 0x7fd5a8f4b700 (LWP 15182)):
#0  0x00007fd5c33ed0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b66 in wait (time=18446744073709551615, this=0xd95e40) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xd95d48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005df20e in ?? ()
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0xd95ae0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7fd5a3fff700 (LWP 15183)):
#0  0x00007fd5c33eb2a3 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007fd5bd195291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd5bd1551e6 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd5bd155668 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd59c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd5a3ffeca0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fd5c703f005 in QEventLoop::exec (this=this@entry=0x7fd5a3ffeca0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fd5c6f3dfef in QThread::exec (this=this@entry=0xf0ea20) at thread/qthread.cpp:536
#9  0x00007fd5c7020513 in QInotifyFileSystemWatcherEngine::run (this=0xf0ea20) at io/qfilesystemwatcher_inotify.cpp:256
#10 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0xf0ea20) at thread/qthread_unix.cpp:338
#11 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7fd5a37fe700 (LWP 15185)):
#0  0x00007fd5c33ed0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b66 in wait (time=18446744073709551615, this=0x1026df0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xf7ec58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c91438fa in ?? () from /usr/lib64/libdigikamcore.so.3
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0xf7ec40) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7fd59a75e700 (LWP 15189)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x38010d0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x38010d0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7fd59bfff700 (LWP 15190)):
#0  0x00007fd5bd194ff3 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fd5bd1952b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd5bd154d38 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd5bd155523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd5800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd59bffec70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fd5c703f005 in QEventLoop::exec (this=0x7fd59bffec70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fd5c9142fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#9  0x00007fd5c6f3413e in QThreadPoolThread::run (this=0x3834f50) at concurrent/qthreadpool.cpp:107
#10 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3834f50) at thread/qthread_unix.cpp:338
#11 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7fd599419700 (LWP 15191)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x38351e0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x38351e0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7fd598c18700 (LWP 15192)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3835610) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3835610) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fd58fffe700 (LWP 15193)):
[KCrash Handler]
#5  0x00007fd5c53e7849 in raise () from /lib64/libc.so.6
#6  0x00007fd5c53e8cd8 in abort () from /lib64/libc.so.6
#7  0x00007fd5c5ce0655 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib64/libstdc++.so.6
#8  0x00007fd5c5cde7c6 in ?? () from /usr/lib64/libstdc++.so.6
#9  0x00007fd5c5cde7f3 in std::terminate() () from /usr/lib64/libstdc++.so.6
#10 0x00007fd5c5cdea66 in __cxa_rethrow () from /usr/lib64/libstdc++.so.6
#11 0x00007fd5c6f342d2 in QThreadPoolThread::run (this=0x336f890) at concurrent/qthreadpool.cpp:114
#12 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x336f890) at thread/qthread_unix.cpp:338
#13 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#14 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7fd58f7fd700 (LWP 15194)):
#0  0x00007fd5bd194ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fd5bd195289 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd5bd154e9b in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd5bd155572 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd5740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd58f7fcc70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fd5c703f005 in QEventLoop::exec (this=0x7fd58f7fcc70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fd5c9142fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#9  0x00007fd5c6f3413e in QThreadPoolThread::run (this=0x3839790) at concurrent/qthreadpool.cpp:107
#10 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3839790) at thread/qthread_unix.cpp:338
#11 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fd58effc700 (LWP 15195)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3839be0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3839be0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fd58e7fb700 (LWP 15196)):
#0  0x00007fd5c33eb308 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007fd5bd195291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd5bd154750 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd5bd1554c5 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd56c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd58e7fac70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fd5c703f005 in QEventLoop::exec (this=0x7fd58e7fac70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fd5c9142fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#9  0x00007fd5c6f3413e in QThreadPoolThread::run (this=0x383a030) at concurrent/qthreadpool.cpp:107
#10 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x383a030) at thread/qthread_unix.cpp:338
#11 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fd58dffa700 (LWP 15197)):
#0  0x00007fd5c5490b3d in poll () from /lib64/libc.so.6
#1  0x00007fd5bd155604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd5640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd58dff9c70, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fd5c703f005 in QEventLoop::exec (this=0x7fd58dff9c70, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fd5c9142fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#7  0x00007fd5c6f3413e in QThreadPoolThread::run (this=0x383a480) at concurrent/qthreadpool.cpp:107
#8  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x383a480) at thread/qthread_unix.cpp:338
#9  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fd58d7f9700 (LWP 15198)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3627160) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3627160) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fd58cff8700 (LWP 15199)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3627560) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3627560) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fd563fff700 (LWP 15200)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x36279b0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x36279b0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fd5637fe700 (LWP 15201)):
#0  0x00007fffca5fe8c8 in clock_gettime ()
#1  0x00007fd5c54a6a0d in clock_gettime () from /lib64/libc.so.6
#2  0x00007fd5c6f94e47 in do_gettime (frac=0x7fd5637fda00, sec=0x7fd5637fd9f8) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0x00007fd5c706e405 in updateCurrentTime (this=0x7fd558002060) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0x7fd558002060, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0x00007fd5c706cbac in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fd5637fdab4) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007fd5c706cc55 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007fd5bd154cad in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007fd5bd155523 in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd5580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#12 0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd5637fdc70, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007fd5c703f005 in QEventLoop::exec (this=0x7fd5637fdc70, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007fd5c9142fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#15 0x00007fd5c6f3413e in QThreadPoolThread::run (this=0x3627e00) at concurrent/qthreadpool.cpp:107
#16 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3627e00) at thread/qthread_unix.cpp:338
#17 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#18 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fd562ffd700 (LWP 15202)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3628200) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3628200) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fd5627fc700 (LWP 15203)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3628650) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3628650) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fd561ffb700 (LWP 15204)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x3628aa0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3628aa0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fd5617fa700 (LWP 15205)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd56c012790) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd56c012790) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fd560ff9700 (LWP 15206)):
#0  0x00007fd5c548c99d in read () from /lib64/libc.so.6
#1  0x00007fd5bd1945c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd5bd15512c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd5bd15559b in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd5c706cd76 in QEventDispatcherGlib::processEvents (this=0x7fd53c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fd560ff8c70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fd5c703f005 in QEventLoop::exec (this=0x7fd560ff8c70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fd5c9142fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#9  0x00007fd5c6f3413e in QThreadPoolThread::run (this=0x3834f20) at concurrent/qthreadpool.cpp:107
#10 0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x3834f20) at thread/qthread_unix.cpp:338
#11 0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fd543fff700 (LWP 15207)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd5880331b0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd5880331b0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fd5437fe700 (LWP 15208)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd588033600) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd588033600) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fd542ffd700 (LWP 15209)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd5640126c0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd5640126c0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fd5427fc700 (LWP 15210)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd564012b10) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd564012b10) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fd541ffb700 (LWP 15211)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd564012f40) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd564012f40) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fd5417fa700 (LWP 15212)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd548012d90) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd548012d90) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fd540ff9700 (LWP 15213)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd570022fc0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd570022fc0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fd527fff700 (LWP 15214)):
#0  0x00007fd5c33ed458 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b44 in wait (time=30000, this=0x10247f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0xf801b8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c6f34235 in QThreadPoolThread::run (this=0x7fd5700233f0) at concurrent/qthreadpool.cpp:141
#4  0x00007fd5c6f4068f in QThreadPrivate::start (arg=0x7fd5700233f0) at thread/qthread_unix.cpp:338
#5  0x00007fd5c33e90db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd5c549990d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fd5cbe1f900 (LWP 15181)):
#0  0x00007fd5c33ed0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd5c6f40b66 in wait (time=18446744073709551615, this=0x2247e40) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2249f78, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd5c9143bc4 in Digikam::WorkerObject::wait() () from /usr/lib64/libdigikamcore.so.3
#4  0x0000000000625493 in ?? ()
#5  0x00000000006254c5 in ?? ()
#6  0x0000000000625527 in ?? ()
#7  0x00007fd5c53ea3d9 in __run_exit_handlers () from /lib64/libc.so.6
#8  0x00007fd5c53ea425 in exit () from /lib64/libc.so.6
#9  0x00007fd5c61c7298 in ?? () from /usr/lib64/libQtGui.so.4
#10 0x00007fd5c7aa7d40 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib64/libkdeui.so.5
#11 0x00007fd5c398a3fe in _XIOError () from /usr/lib64/libX11.so.6
#12 0x00007fd5c3987ded in _XEventsQueued () from /usr/lib64/libX11.so.6
#13 0x00007fd5c3979ddb in XEventsQueued () from /usr/lib64/libX11.so.6
#14 0x00007fd5c61fd3ac in ?? () from /usr/lib64/libQtGui.so.4
#15 0x00007fd5bd155081 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#16 0x00007fd5bd15559b in ?? () from /usr/lib64/libglib-2.0.so.0
#17 0x00007fd5bd15570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#18 0x00007fd5c706cd55 in QEventDispatcherGlib::processEvents (this=0xc4cdb0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#19 0x00007fd5c61fd936 in ?? () from /usr/lib64/libQtGui.so.4
#20 0x00007fd5c703ed0f in QEventLoop::processEvents (this=this@entry=0x7fffca4eaf40, flags=...) at kernel/qeventloop.cpp:149
#21 0x00007fd5c703f005 in QEventLoop::exec (this=this@entry=0x7fffca4eaf40, flags=...) at kernel/qeventloop.cpp:204
#22 0x00007fd5c704413b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#23 0x000000000049b223 in ?? ()
#24 0x00007fd5c53d3be5 in __libc_start_main () from /lib64/libc.so.6
#25 0x000000000049d821 in _start ()
Comment 28 Marcel Wiesweg 2014-01-21 17:57:03 UTC
That's an exception in a thread. You need to run under gdb, "catch throw" and then provoke the crash.
Comment 29 caulier.gilles 2014-02-06 04:26:06 UTC
*** Bug 330828 has been marked as a duplicate of this bug. ***
Comment 30 Jekyll Wu 2014-04-13 01:22:19 UTC
*** Bug 333352 has been marked as a duplicate of this bug. ***
Comment 31 caulier.gilles 2014-04-19 12:32:13 UTC
*** Bug 333582 has been marked as a duplicate of this bug. ***
Comment 32 Manuel Bärenz 2014-05-05 09:51:12 UTC
I'm having the same problem. Shall I produce some backtraces as well?
Comment 33 caulier.gilles 2014-05-16 07:29:12 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 34 caulier.gilles 2014-08-07 06:39:36 UTC
With last digiKam 4.2.0, face management backend have been imrpved. Please check if problem still reproducible with this version.

Gilles Caulier
Comment 35 caulier.gilles 2014-08-24 09:02:04 UTC
We need a fresh feedback of this file using last digiKam 4.2.0

Gilles Caulier
Comment 36 yohann 2014-08-24 12:04:26 UTC
Created attachment 88394 [details]
digiKam 4.2 - backtrace
Comment 37 yohann 2014-08-24 12:08:47 UTC
DigiKam still crashes when I start face recognition. Backtrace attached as "digiKam 4.2 - backtrace" 


% lsb_release -a
LSB Version:	core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID:	Ubuntu
Description:	Ubuntu 14.04.1 LTS
Release:	14.04
Codename:	trusty

% uname -a
Linux yoyo-laptop 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

% digikam --version
Qt: 4.8.6
KDE Development Platform: 4.13.3
digiKam: 4.2.0
Comment 38 caulier.gilles 2014-08-24 12:10:53 UTC

*** This bug has been marked as a duplicate of bug 338485 ***
Comment 39 caulier.gilles 2019-12-23 06:22:15 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier